Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.custom.news
Class FXCMNewsRequestPage

    java.lang.Object
      com.fxcm.fix.custom.news.FXCMNewsRequestPage

    public class FXCMNewsRequestPage

extends Object

This class represents single page in FXCMNewsRequest message.

Constructor Summary
`FXCMNewsRequestPage()`

Method Summary
`int` | `getNoSnapshot()` Get Max count of pageviews to return
`String` | `getPageID()` Get Page ID.
`int` | `getPageviewID()` Get Pageview ID.
`int` | `getPageviewLifetime()` Get Pageview lifetime.
`UTCTimestamp` | `getTransactTime()` Get Transaction time
`void` | `setNoSnapshot(int aiNoSnapshot)` Set Max count of pageviews to return
`void` | `setPageID(String asPageID)` Set Page ID.
`void` | `setPageviewID(int aiPageviewID)` Set Pageview ID.
`void` | `setPageviewLifetime(int aiPageviewLifetime)` Set Pageview lifetime.
`void` | `setTransactTime(UTCTimestamp adtTransactTime)` Set Transaction time

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FXCMNewsRequestPage

    public FXCMNewsRequestPage()

Method Detail

### getPageID

    public String getPageID()

  Get Page ID.

### setPageID

    public void setPageID(String asPageID)

  Set Page ID.

### getPageviewID

    public int getPageviewID()

  Get Pageview ID.

### getPageviewLifetime

    public int getPageviewLifetime()

  Get Pageview lifetime.

### getTransactTime

    public UTCTimestamp getTransactTime()

  Get Transaction time

### getNoSnapshot

    public int getNoSnapshot()

  Get Max count of pageviews to return

### setPageviewID

    public void setPageviewID(int aiPageviewID)

  Set Pageview ID.

### setPageviewLifetime

    public void setPageviewLifetime(int aiPageviewLifetime)

  Set Pageview lifetime.

### setTransactTime

    public void setTransactTime(UTCTimestamp adtTransactTime)

  Set Transaction time

### setNoSnapshot

    public void setNoSnapshot(int aiNoSnapshot)

  Set Max count of pageviews to return

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.